Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining.compiler
Class CompilationInfo

    java.lang.Object
      org.codehaus.aspectwerkz.transform.inlining.compiler.CompilationInfo

    public final class CompilationInfo

extends Object

Info needed for the compilation of the join point, holds both the initial model and the latest redefined model.

Author:
  Jonas Bonr

Nested Class Summary
`static class` | `CompilationInfo.Model` Represents the information needed to compile one joinpoint at a given time

Constructor Summary
`CompilationInfo(CompilationInfo.Model initialModel)`

Method Summary
`boolean` | `equals(Object o)`
`CompilationInfo.Model` | `getInitialModel()`
`CompilationInfo.Model` | `getRedefinedModel()`
`int` | `getRedefinitionCounter()`
`int` | `hashCode()`
`void` | `incrementRedefinitionCounter()`
`void` | `setRedefinedModel(CompilationInfo.Model redefinedModel)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilationInfo

    public CompilationInfo(CompilationInfo.Model initialModel)

Method Detail

### getInitialModel

    public CompilationInfo.Model getInitialModel()

### getRedefinedModel

    public CompilationInfo.Model getRedefinedModel()

### setRedefinedModel

    public void setRedefinedModel(CompilationInfo.Model redefinedModel)

### getRedefinitionCounter

    public int getRedefinitionCounter()

### incrementRedefinitionCounter

    public void incrementRedefinitionCounter()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.